## ubuntu-drivers-common 0.8.6.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.8.6.1) groovy; urgency=medium

  * UbuntuDrivers/detect.py:
    - Assume the NVIDIA packages to be non-free (LP: #1899630).
  * gpu-manager.{c|py}:
    - Handle the xorg conf file in all supported PRIME
      scenarios (LP: #1900137).
  * tests/test_ubuntu_drivers.py,
    tests/gpu-manager.py:
    - Expect a xorg conf file to be created in on-demand
      mode (11-nvidia-offload.conf) in the test suite.
    - Fix test cases now that nvidia is marked as non-free.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Oct 2020 16:51:44 +0200

ubuntu-drivers-common (1:0.8.6) groovy; urgency=medium

  [ Alberto Milone ]
  * share/hybrid/json-parser, debian/copyright:
    - Include json-parser (just C file and header).
  * gpu-manager.c:
    - Add json parsing code to detect support for runtimepm on NVIDIA
      (LP: #1895855).
    - Check that RTD3 is enabled, and write that to a file in /run.
    - Make on-demand mode the default when no settings are available.
    - Add support for AMD+NVIDIA hybrid systems.
    - Add support for checking PME capabilities for runtimepm, so that,
      if the GPU is not boot_vga, and it is not listed in the json
      database, we can at least check whether d3hot is supported, and
      enable runtimepm in the NVIDIA driver.
  * gpu-manager.py:
    - Adjust the test suite to match the changes in gpu-manager.c.
  * UbuntuDrivers/detect.py, ubuntu-drivers:
    - Catch apt exceptions.
    - Catch failure when modinfo is not available.
    - Introduce the concept of LTSB (long term support branch), NFB
      (new feature branch), Legacy, and Beta, which the driver packages
      can specify.
    - Use package support to pick the nvidia driver:
      o Desktop case: pick the latest non-server driver, when available
        (this preserves the current behaviour).
      o Server case: pick the LTSB -server driver, when available.
  * NvidiaDetector/nvidiadetector.py:
    - Use regex to parse package names (LP: #1891183).
  * ubuntu-drivers:
    - Select on-demand mode if runtimepm is supported.
    - Check RTD3 support for NVIDIA, and enable it when available.
    - Show the package support level, when available, when using
      "ubuntu-drivers debug".
  * debian/control:
    - Replace build-dep on libpciaccess-dev with libpci-dev.
  * debian/rules: make sure to call the clean target of the Makefile

  [ Cyrus Lien ]
  * gpu-manager.c:
    - Fix segmentation fault in json_find_feature_in_array.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Oct 2020 16:00:18 +0200

ubuntu-drivers-common (1:0.8.5.4) groovy; urgency=medium

  * ubuntu-drivers:
    - Do not assume that the metapackage tag is available.
  * NvidiaDetector/nvidiadetector.py:
    - Fix failure with the -server drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jul 2020 17:24:08 +0200

ubuntu-drivers-common (1:0.8.5.3) groovy; urgency=medium

  * ubuntu-drivers:
    - Fix failure when using the deprecated "autoinstall"
      argument (LP: #1889181).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Jul 2020 10:55:27 +0200

ubuntu-drivers-common (1:0.8.5.2) groovy; urgency=medium

  * gpu-manager.c:
    - Use the full mutliarch path for the X11 libraries.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 27 Jul 2020 16:16:22 +0200

ubuntu-drivers-common (1:0.8.5.1) groovy; urgency=medium

  * UbuntuDrivers/detect.py,
    detect-plugins/sl-modem.py:
    - Avoid triggering test_static.py "E741 ambiguous variable name 'l'".

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 17 Jun 2020 12:26:01 +0200

ubuntu-drivers-common (1:0.8.5) groovy; urgency=medium

  * ubuntu-drivers:
    - Remove leftover code from argparse
  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Add test_legacy_nvidia_driver_packages_chroot1.
    - Do not print an error when linux-modules cannot
      be found. Use debugging lines instead.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 15 Jun 2020 18:04:40 +0200

ubuntu-drivers-common (1:0.8.4) groovy; urgency=medium

  * ubuntu-drivers:
    - Rework the argument parser.
  * debian/control:
    - Depend on python3-click.
    - Drop dependency on dpkg-dev (LP: #1880564).
  * Add support for the "Support" field in packages.
  * Add support for passing in driver and vendor for
    the "install" case (LP: #1881586).
  * gpu-manager.c:
    - Add get_system_architecture().

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jun 2020 12:08:39 +0200

ubuntu-drivers-common (1:0.8.3) groovy; urgency=medium

  * debian/control:
    - Replace build dependency on lib32gcc1 with lib32gcc-s1.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 May 2020 16:21:39 +0200

ubuntu-drivers-common (1:0.8.2) groovy; urgency=medium

  * debian/control:
    - Depend on dpkg-dev (LP: #1875339).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 May 2020 10:53:31 +0200
