## ubuntu-drivers-common 0.8.6.3~0.18.04.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.8.6.3~0.18.04.2) bionic; urgency=medium

  [ Steve Langasek ]
  * Don't crash on invalid locale environment.  LP: #1943614.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 14 Sep 2021 21:03:06 +0200

ubuntu-drivers-common (1:0.8.6.3~0.18.04.1) bionic; urgency=medium

  * Backport 1:0.8.6.3 (LP: #1904583).
  * gpu-manager.c:
    - Add PCI_CAP_ID_NULL definition that is missing from
      libpci.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 25 Nov 2020 13:14:35 +0100
