=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-click,
  libpci-dev,
- lib32gcc-s1 [amd64], libc6-i386 [amd64],
+ lib32gcc1 [amd64], libc6-i386 [amd64],
  linux-libc-dev,
  pkg-config,
  python3-xkit (>= 0.5.0),
