## ubuntu-drivers-common 0.8.6.3~0.20.10.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.8.6.3~0.20.10.1) groovy; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Prefer LTSB releases over NFB ones for non gpgpu cases too.
  * gpu-manager.c:
    - Make it possible to force runtimepm by creating the
      /etc/u-d-c-nvidia-runtimepm-override file.
    - Make on-demand default on nvidia >= 450, when no
      previous settings are available (LP: #1904583).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Nov 2020 15:44:11 +0100

ubuntu-drivers-common (1:0.8.6.2) groovy; urgency=medium

  * ubuntu-drivers:
    - Unify metapackage listing for --gpgpu and non --gpgpu mode.
      This relies on the more robust metapackage listing of
      the non --gpgpu mode (LP: #1900452).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Oct 2020 13:42:45 +0200
