## ubuntu-drivers-common 0.8.9.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.8.9.1) hirsute; urgency=medium

  * debian/tests/control:
    - Add dependency on alsa-utils, since the autopkgtest requires it
      for the sl-modem detection plugin.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 13 Apr 2021 13:00:14 +0200

ubuntu-drivers-common (1:0.8.9) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * Fix previous change: I removed alsa-utils from Build-Depends not Depends.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Apr 2021 13:15:57 +0200

ubuntu-drivers-common (1:0.8.8) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * Drop dependency on alsa-utils as we want to start using ubuntu-drivers in
    the server installer but do not want alsa-utils there. The code using
    aplay to detect certain kinds of modem will fail to detect them if aplay
    is not installed but will not crash. As alsa-utils is in the
    desktop-common seed there should be no loss of functionality anywhere
    ubuntu-drivers is used today.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 31 Mar 2021 13:43:48 +0200

ubuntu-drivers-common (1:0.8.7) hirsute; urgency=medium

  * ubuntu-drivers:
    - Do not install recommended dependencies when calling
      "install --gpgpu" (LP: #1898601). The whole point of
      having --gpgpu was to reduce the amount of the
      installed dependencies.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 23 Mar 2021 16:14:36 +0100

ubuntu-drivers-common (1:0.8.6.5) hirsute; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Add testcase for list-oem --package-list.
  * UbuntuDrivers/detect.py:
    - Fix the way we validate the nvidia modules metapackages
      (LP: #1914374).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Feb 2021 19:13:21 +0100

ubuntu-drivers-common (1:0.8.6.4) hirsute; urgency=medium

  [ Alberto Milone ]
  * ubuntu-drivers:
    - Don't error out when failing to write to /run without
      root privileges (LP: #1913651), since package
      installation will fail later.
    - Restore "--package-list" for list-oem, which was supported
      but accidentally not exposed in the transition to click.
      (LP: #1914051).

  [ Dimitri John Ledkov ]
  * debian/rules:
    - Make tests on riscv64 non-fatal.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Feb 2021 18:43:34 +0100

ubuntu-drivers-common (1:0.8.6.3) hirsute; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Prefer LTSB releases over NFB ones for non gpgpu cases too.
  * gpu-manager.c:
    - Make it possible to force runtimepm by creating the
      /etc/u-d-c-nvidia-runtimepm-override file.
    - Make on-demand default on nvidia >= 450, when no
      previous settings are available.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Nov 2020 15:44:11 +0100
