## ubuntu-drivers-common 0.9.0~0.20.04.7

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.0~0.20.04.7) focal; urgency=medium

  * UbuntuDrivers/detect.py:
    - Handle Production branches (PB) (LP: #1964747).
    - Always prefer PB and LTSB, and pick the highest of the two
      whenever possible.
  * tests/test_ubuntu_drivers.py:
    - Add test_system_driver_packages_chroot_support_branch_pb and
      test_system_driver_packages_chroot_support_branch_pb_1, to
      keep track of our policy on PB and LTSB releases.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 16 Mar 2022 17:36:45 +0100

ubuntu-drivers-common (1:0.9.0~0.20.04.6) focal; urgency=medium

  [ Jeremy Szu ]
  * 71-u-d-c-gpu-detection.rules,
    gpu-manager.c:
    - Wait for the nvidia-drm module to be loaded. This works around
      a race condition, where nvidia-drm is loaded after gdm, and
      this causes gdm to hang (LP: #1958488).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 04 Mar 2022 16:35:45 +0100

ubuntu-drivers-common (1:0.9.0~0.20.04.5) focal; urgency=medium

  * gpu-manager.c:
    - Fall back from on-demand to on if nvidia < 450 (LP: #1957094).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Jan 2022 08:58:23 +0000

ubuntu-drivers-common (1:0.9.0~0.20.04.4) focal; urgency=medium

  [ Jeremy Szu ]
  * ubiquity/target-config/31ubuntu_driver_packages:
    - Install nvidia-prime in eariler stage (LP: #1943816).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 13 Dec 2021 16:44:37 +0100

ubuntu-drivers-common (1:0.9.0~0.20.04.3) focal; urgency=medium

  * ubiquity/target-config/31ubuntu_driver_packages:
    - Install nvidia-prime, so that we can handle hybrid
      systems, and pick up the NVIDIA driver configuration
      (LP: #1943816).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 05 Nov 2021 11:44:39 +0100

ubuntu-drivers-common (1:0.9.0~0.20.04.2) focal; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Enable RTD3 only on laptops (LP: #1942788).

 -- Dirk Su <dirk.su@canonical.com>  Fri, 08 Oct 2021 13:32:34 +0800

ubuntu-drivers-common (1:0.9.0~0.20.04.1) focal; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Make sure to also search the signed modules (LP: #1931514).
      Credit goes to Bin Li for the first version of this patch.
  * debian/tests/control:
    - Add dependency on alsa-utils, since the autopkgtest requires it
      for the sl-modem detection plugin.
  * ubuntu-drivers:
    - Do not install recommended dependencies when calling
      "install --gpgpu" (LP: #1898601). The whole point of
      having --gpgpu was to reduce the amount of the
      installed dependencies.

  [ Michael Hudson-Doyle ]
  * debian/control:
    - Drop dependency on alsa-utils as we want to start using ubuntu-drivers in
      the server installer but do not want alsa-utils there. The code using
      aplay to detect certain kinds of modem will fail to detect them if aplay
      is not installed but will not crash. As alsa-utils is in the
      desktop-common seed there should be no loss of functionality anywhere
      ubuntu-drivers is used today.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 24 Jun 2021 16:22:54 +0200

ubuntu-drivers-common (1:0.8.6.5~0.20.04.1) focal; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Add testcase for list-oem --package-list (LP: #1914051).
  * UbuntuDrivers/detect.py:
    - Fix the way we validate the nvidia modules metapackages
      (LP: #1914374).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Feb 2021 19:23:18 +0100

ubuntu-drivers-common (1:0.8.6.4~0.20.04.1) focal; urgency=medium

  * ubuntu-drivers:
    - Don't error out when failing to write to /run without
      root privileges (LP: #1913651), since package
      installation will fail later.
    - Restore "--package-list" for list-oem, which was supported
      but accidentally not exposed in the transition to click.
      (LP: #1914051).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Feb 2021 18:49:18 +0100

ubuntu-drivers-common (1:0.8.6.3~0.20.04.2) focal; urgency=medium

  * Skip tests on riscv64, replacing powerpc which is no longer part of
    focal. Thus make ubuntu-drivers-common available on focal on
    riscv64. LP: #1912202

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Jan 2021 22:22:29 +0000

ubuntu-drivers-common (1:0.8.6.3~0.20.04.1) focal; urgency=medium

  * Backport 1:0.8.6.3 (LP: #1904583).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 25 Nov 2020 12:47:31 +0100

ubuntu-drivers-common (1:0.8.4~0.20.04.3) focal; urgency=medium

  * ubuntu-drivers:
    - Fix failure when using the deprecated "autoinstall"
      argument (LP: #1889181).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Jul 2020 10:42:55 +0200

ubuntu-drivers-common (1:0.8.4~0.20.04.2) focal; urgency=medium

  * gpu-manager.c:
    - Use the full multiarch path for the X11 libraries.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 27 Jul 2020 16:10:25 +0200

ubuntu-drivers-common (1:0.8.4~0.20.04.1) focal; urgency=medium

  * UbuntuDrivers/detect.py,
    detect-plugins/sl-modem.py:
    - Avoid triggering test_static.py
      with "E741 ambiguous variable name 'l'" error.
  * ubuntu-drivers:
    - Rework the argument parser to allow passing in
      driver and vendor for the "install" case
      (LP: #1881586).
    - Do not print an error when linux-modules cannot
      be found. This prevents the ubuntu-drivers tools
      from printing misleading warnings, as seen in
      LP: #1882402.
    - Add support for the new -server NVIDIA drivers
      (LP: #1881586).
  * debian/control:
    - Depend on python3-click (for the argument
      parsing code).
    - Drop dependency on dpkg-dev (LP: #1880564).
  * gpu-manager.c:
    - Add get_system_architecture() (to drop the
      dpkg-dev dependency).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 23 Jun 2020 11:09:27 +0200

ubuntu-drivers-common (1:0.8.1.1) focal; urgency=medium

  * debian/control:

