## ubuntu-drivers-common 0.9.0~0.20.04.8

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.0~0.20.04.8) focal; urgency=medium

  * UbuntuDrivers/detect.py:
    - Make sure -open drivers have a lower priority (LP: #1988836).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Sep 2022 12:52:21 +0000
