## ubuntu-drivers-common 0.9.0~0.20.10.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.0~0.20.10.1) groovy; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Make sure to also search the signed modules (LP: #1931514).
      Credit goes to Bin Li for the first version of this patch.
  * debian/tests/control:
    - Add dependency on alsa-utils, since the autopkgtest requires it
      for the sl-modem detection plugin.
  * ubuntu-drivers:
    - Don't error out when failing to write to /run without
      root privileges (LP: #1913651), since package
      installation will fail later.
    - Restore "--package-list" for list-oem, which was supported
      but accidentally not exposed in the transition to click.
      (LP: #1914051).
    - Do not install recommended dependencies when calling
      "install --gpgpu" (LP: #1898601). The whole point of
      having --gpgpu was to reduce the amount of the
      installed dependencies.
  * tests/test_ubuntu_drivers.py:
    - Add testcase for list-oem --package-list.
  * UbuntuDrivers/detect.py:
    - Fix the way we validate the nvidia modules metapackages
      (LP: #1914374).
  * tests/test_ubuntu_drivers.py:
    - Add testcase for list-oem --package-list
  * UbuntuDrivers/detect.py:
    - Change metapackage generation.

  [ Michael Hudson-Doyle ]
  * debian/control:
    - Drop dependency on alsa-utils as we want to start using ubuntu-drivers in
      the server installer but do not want alsa-utils there. The code using
      aplay to detect certain kinds of modem will fail to detect them if aplay
      is not installed but will not crash. As alsa-utils is in the
      desktop-common seed there should be no loss of functionality anywhere
      ubuntu-drivers is used today.

  [ Dimitri John Ledkov ]
  * debian/rules:
    - Make tests on riscv64 non-fatal.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 22 Jun 2021 16:34:48 +0200
