## ubuntu-drivers-common 0.9.0~0.21.04.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.0~0.21.04.2) hirsute; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Enable RTD3 only on laptops (LP: #1942788).

 -- Dirk Su <dirk.su@canonical.com>  Fri, 15 Oct 2021 16:18:04 +0800

ubuntu-drivers-common (1:0.9.0~0.21.04.1) hirsute; urgency=medium

  * gpu-manager.c:
    - Make sure to also search the signed modules (LP: #1931514).
      Credit goes to Bin Li for the first version of this patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 18 Jun 2021 16:55:54 +0200
