## ubuntu-drivers-common 0.9.2.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.2.2) impish; urgency=medium

  * ubuntu-drivers:
    - Enable KMS Wayland if nvidia >= 470. This only affects
      the UDA drivers. This is more effective than checking
      if Wayland is running, since the live image uses X11.
  * UbuntuDrivers/detect.py:
    - Add newline when setting kms.
  * ubiquity/target-config/31ubuntu_driver_packages:
    - Install nvidia-prime, so that we can handle hybrid
      systems, and pick up the NVIDIA driver configuration
      (LP: #1943816).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 Oct 2021 15:40:04 +0200

ubuntu-drivers-common (1:0.9.2.1) impish; urgency=medium

  * UbuntuDrivers/detect.py:
    - Fix E302 expected 2 blank lines, found 1.
    - Fix E711 comparison to None should be "if cond is not None".

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Sep 2021 11:46:07 +0200

ubuntu-drivers-common (1:0.9.2) impish; urgency=medium

  * UbuntuDrivers/detect.py:
    - Do not complain about Legacy not being a valid support level.
  * gpu-manager.c:
    - Enable RTD3 only on laptops (LP: #1942788).
  * ubuntu-drivers, UbuntuDrivers/detect.py:
    - Enable KMS for NVIDIA when running on Wayland.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 15 Sep 2021 15:25:13 +0200

ubuntu-drivers-common (1:0.9.1.2) impish; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Fix pycodestyle E265 block comment should start with "# ".

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Jul 2021 20:33:07 +0200

ubuntu-drivers-common (1:0.9.1.1) impish; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Skip checking the error output for apt install. Just
      make sure the process doesn't fail.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 15 Jul 2021 16:38:49 +0200

ubuntu-drivers-common (1:0.9.1) impish; urgency=medium

  * detect-plugins/sl-modem.py:
    - Make the failure to find or user aplay a debugging error.
      This will always fail on servers, and printing the whole exception
      all the time is unnecessary.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Jul 2021 13:34:52 +0200

ubuntu-drivers-common (1:0.9.0~0.21.10.1) impish; urgency=medium

  * gpu-manager.c:
    - Make sure to also search the signed modules (LP: #1931514).
      Credit goes to Bin Li for the first version of this patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 18 Jun 2021 16:55:54 +0200
