## ubuntu-drivers-common 0.9.2.4~0.21.10.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.2.4~0.21.10.2) impish; urgency=medium

  * UbuntuDrivers/detect.py:
    - Handle Production branches (PB) (LP: #1964747).
    - Always prefer PB and LTSB, and pick the highest of the two
      whenever possible.
  * tests/test_ubuntu_drivers.py:
    - Add test_system_driver_packages_chroot_support_branch_pb and
      test_system_driver_packages_chroot_support_branch_pb_1, to
      keep track of our policy on PB and LTSB releases.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 16 Mar 2022 17:35:52 +0100

ubuntu-drivers-common (1:0.9.2.4~0.21.10.1) impish; urgency=medium

  [ Jeremy Szu ]
  * 71-u-d-c-gpu-detection.rules,
    gpu-manager.c:
    - Wait for the nvidia-drm module to be loaded. This works around
      a race condition, where nvidia-drm is loaded after gdm, and
      this causes gdm to hang (LP: #1958488).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 04 Mar 2022 16:57:33 +0100

ubuntu-drivers-common (1:0.9.2.3) impish; urgency=medium

  * gpu-manager.c:
    - Fall back from on-demand to on if nvidia < 450 (LP: #1957094).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Jan 2022 09:09:16 +0000
