## ubuntu-drivers-common 0.9.6.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.6.1) jammy; urgency=medium

  * UbuntuDrivers/detect.py:
    - Handle Production branches (PB) (LP: #1964747).
    - Always prefer PB and LTSB, and pick the highest of the two
      whenever possible.
  * tests/test_ubuntu_drivers.py:
    - Add test_system_driver_packages_chroot_support_branch_pb and
      test_system_driver_packages_chroot_support_branch_pb_1, to
      keep track of our policy on PB and LTSB releases.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 16 Mar 2022 15:59:19 +0100

ubuntu-drivers-common (1:0.9.6) jammy; urgency=medium

  * Drop apt in favour of the apt_pkg bindings (LP: #1963712).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 14 Mar 2022 12:15:38 +0100

ubuntu-drivers-common (1:0.9.5.1) jammy; urgency=medium

  * Change maximum open file descriptors limit for the process in
    the test suite. This should fix the FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 07 Mar 2022 17:16:26 +0100

ubuntu-drivers-common (1:0.9.5) jammy; urgency=medium

  [ Jeremy Szu ]
  * 71-u-d-c-gpu-detection.rules,
    gpu-manager.c:
    - Wait for the nvidia-drm module to be loaded. This works around
      a race condition, where nvidia-drm is loaded after gdm, and
      this causes gdm to hang (LP: #1958488).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 24 Feb 2022 12:32:44 +0100

ubuntu-drivers-common (1:0.9.4) jammy; urgency=medium

  [ Michael Hudson-Doyle ]
  * UbuntuDrivers/detect.py:
    - Optimize packages_for_modalias by compiling all the Modaliases
      into one big regexp that can be used to quickly reject most
      devices.

  [ Alberto Milone ]
  * UbuntuDrivers/kerneldetection.py:
    - Improve performance of _get_linux_metapackage.
  * gpu-manager.c:
    - Fall back from on-demand to on if nvidia < 450.

  [ Jeremy Szu ]
  * ubiquity/target-config/31ubuntu_driver_packages:
    - Install nvidia-prime in eariler stage.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 12 Jan 2022 09:37:18 +0000

ubuntu-drivers-common (1:0.9.3) jammy; urgency=medium

  * UbuntuDrivers/detect.py,
    ubuntu-drivers:
    - Provide helper functions for NVIDIA on the desktop:
      o get_desktop_package_list()
      o nvidia_desktop_pre_installation_hook()
      o nvidia_desktop_post_installation_hook()
      The new functions, which are now used by ubuntu-drivers
      (only for the desktop i.e. "ubuntu-drivers install"),
      allow reusing the hardware detection and the customisations
      from ubuntu-drivers in other applications such as the
      Software Properties UIsi (LP: #1942208).
    - Add the "--recommended" option to the "list" command
      (LP: #1952147).
      This allows to show only the packages that will be
      installed using auto-detection i.e. one specific
      driver and its kernel module, instead of all the
      compatible drivers.
      This works with and without --gpgpu, yielding different
      results.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Nov 2021 18:05:53 +0100
