## ubuntu-drivers-common 0.9.6.2~0.22.04.8

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.6.2~0.22.04.8) jammy; urgency=medium

  [Shih-Yuan Lee]
  * debian/ubuntu-drivers-common.postinst: Remove
    /etc/default/grub.d/oem-flavour.cfg for the OEM kernel retirement.
    (LP: #2083657)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 07 Oct 2024 16:57:26 +0200

ubuntu-drivers-common (1:0.9.6.2~0.22.04.7) jammy; urgency=medium

  * share/hybrid/71-u-d-c-gpu-detection.rules
    - Remove SimpleDRM device when nvidia-drm loads (LP: #2060268)
  * share/hybrid/gpu-manager.c
    - Wait for nvidia-drm to settle before opening /dev/dri/card*
    (LP: #2060268)
  * tests/test_ubuntu_drivers.py
   - Split a test to fix a race condition
    (LP: #2077654)
   - revert RLIMIT_NOFILE set and test (LP: #2077646)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 07 Aug 2024 13:45:38 +0200
