## ubuntu-drivers-common 0.9.6.2~0.22.04.9

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.6.2~0.22.04.9) jammy; urgency=medium

  [ Alessandro Astone ]
  * Improve SimpleDRM+NVIDIA fix across kernel versions (LP: #2083329)

  [ Kuba Pawlak ]
  * fix searching for lrm drivers matching linux-image-virtual (LP: #2085962)
  * fix install --gpgpu handling (LP: #2083709)
  * Add --include-dkms option to listing drivers (LP: #2090924)
  * Sort the output list of matching nvidia drivers (LP: #2081970)
  * NVIDIA 560 release should suggest -open variant first (LP: #2081967)

  [ Dann Frazier]
  * Add more useful help text for --gpgpu  (LP: #2081881)

  [ Shih-Yuan Lee ]
  * debian/ubuntu-drivers-common.postinst: Refine the script and trigger
    update-grub when it needs. (LP: #2098753)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 13 Jan 2025 15:44:02 +0100
