## ubuntu-drivers-common 0.9.6.2~0.22.04.11

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.6.2~0.22.04.11) jammy; urgency=medium

  [ Conrad Fernandez ]
  * Require root for install and autoinstall (LP: #1920225)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 10 Dec 2025 10:16:48 +0100
