## ubuntu-drivers-common 0.9.6.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.6.3) kinetic; urgency=medium

  * UbuntuDrivers/detect.py:
    - Fix driver series detection in nvidia_desktop_pre_installation_hook.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Aug 2022 10:41:03 +0000

ubuntu-drivers-common (1:0.9.6.2) kinetic; urgency=medium

  [ Jeremy Szu ]
  * share/hybrid/gpu-manager.c:
    - Don't wait for nvidia-drm when dealing with nvidia-340
      (LP: #1973604).

  [ Ēriks Remess ]
  * UbuntuDrivers/kerneldetection.py:
    - Detect unsigned kernel images correctly.

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py:
    - Make sure -open drivers have a lower priority.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Aug 2022 15:09:46 +0000
