## ubuntu-drivers-common 0.9.6.3.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.6.3.2) kinetic; urgency=medium

  * UbuntuDrivers/detect.py:
    - Fix "882:5 local variable 'with_nvidia_kms' is assigned to
      but never used" FTBFS (triggered by tests/test_static.py).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 08 Mar 2023 15:57:25 +0000

ubuntu-drivers-common (1:0.9.6.3.1) kinetic; urgency=medium

  [ Alberto Milone ]
  * debian/rules:
    - Limit the tests to the selected architectures (amd64, arm64).
      This prevents armhf builds from failing.
  * UbuntuDrivers/detect.py:
    - Make sure all -open drivers have a lower priority, regardless
      of whether the --server parameter is passed in or not.
    - Update regex and unify package name parsing in the following
      functions by using the new NvidiaPkgNameInfo class:
      nvidia_desktop_pre_installation_hook,
      _get_headless_no_dkms_metapackage,
      nvidia_desktop_pre_installation_hook,
      get_linux_modules_metapackage.
      This prevents ubuntu-drivers from crashing when dealing with
      the -open NVIDIA drivers (LP: #1993019).
  * tests/test_ubuntu_drivers.py:
    - Add tests so we make sure to keep preferring non-open NVIDIA
      modules over the -open ones, at least until the open modules catch up
      feature wise and performance wise.

  [ gongzhengyang ]
  * UbuntuDrivers/detect.py:
    - Fix local variable 'version' being referenced before assignment
      when catching ValueError (LP: #1993019).

  [ Jeff Lane ]
  * detect-plugins/sl-modem.py:
    - Add some error trapping when aplay is not installed (on servers)
      (LP: #1935070).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 16 Feb 2023 11:34:46 +0000
