## ubuntu-drivers-common 0.9.7.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.1) lunar; urgency=medium

  * debian/rules:
    - Limit the test suite to the selected architectures.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 22 Feb 2023 10:49:02 +0000

ubuntu-drivers-common (1:0.9.7) lunar; urgency=medium

  * UbuntuDrivers/detect.py:
    - Introduce the NvidiaPkgNameInfo class to unify NVIDIA package
      name parsing. This also fixes the potentially broken
      _get_headless_no_dkms_metapackage() function, which could
      return the wrong metapackage, now that the "-open" drivers
      are in the archive.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Feb 2023 14:38:27 +0000

ubuntu-drivers-common (1:0.9.6.5) lunar; urgency=medium

  * UbuntuDrivers/detect.py:
    - Make sure -open drivers have a lower priority on gpgpu too.
  * tests/test_ubuntu_drivers.py:
    - Fix the description of test_system_open_driver_packages_chroot1.
    - Add test to make sure that -open drivers have a lower priority on
      gpgpu too.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 26 Jan 2023 16:54:26 +0000

ubuntu-drivers-common (1:0.9.6.4.3) lunar; urgency=medium

  * tests/quirkreader-test.py:55:15: E275 missing whitespace after keyword

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jan 2023 16:43:24 +0000

ubuntu-drivers-common (1:0.9.6.4.2) lunar; urgency=medium

  * Quirks/quirkreader.py:
    - Line 55 fix E275 missing whitespace after keyword.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jan 2023 16:08:57 +0000

ubuntu-drivers-common (1:0.9.6.4.1) lunar; urgency=medium

  [ Alex-S-H-P ]
  * UbuntuDrivers/detect.py:
    - Remove redundant variable.

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py:
    - Update regex in nvidia_desktop_pre_installation_hook.
  * Quirks/quirkreader.py:
    - Handle UnicodeDecodeError. Fixes FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jan 2023 14:42:42 +0000

ubuntu-drivers-common (1:0.9.6.4) lunar; urgency=medium

  [ Jeremy Szu ]
  * README, README.md,
    UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Add support for force installing the NVIDIA driver on unsupported
      devices.
      The device and its target driver branch are both specified in the
      /etc/custom_supported_gpus.json file.
      Support for  runtimepm can also be set in the file.
    - Support autokgstest for force install nvidia.
    - Add autopkgtest in README section.

  [ gongzhengyang ]
  * UbuntuDrivers/detect.py:
    - Fix local variable 'version' being referenced before assignment
      when catching ValueError.

  [ Alberto Milone ]
  * tests/test_ubuntu_drivers.py:
    - Add test_system_open_driver_packages_chroot1(). This makes sure
    that we keep preferring non-open NVIDIA modules over the -open ones
    (on the desktop), until the open module catches up on the desktop
    features.

  [ Jeff Lane ]
  * detect-plugins/sl-modem.py:
    - Add some error trapping when aplay is not installed (on servers).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Nov 2022 11:12:05 +0000
