## ubuntu-drivers-common 0.9.7.1.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.1.2) lunar; urgency=medium

  * UbuntuDrivers/detect.py:
    - Skip modalias checking if id in force install list (LP: #1990341)

 -- Dirk Su <dirk.su@canonical.com>  Thu, 31 Aug 2023 12:21:20 +0800
