## ubuntu-drivers-common 0.9.7.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.5) mantic; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Fix test_system_driver_packages_chroot_core_lrm_1() to match the
      behaviour in get_userspace_lrm_meta().

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 29 Aug 2023 12:25:56 +0000

ubuntu-drivers-common (1:0.9.7.4) mantic; urgency=medium

  * UbuntuDrivers/detect.py:
    - Make it clear that get_userspace_lrm_meta() accepts an actual name.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Aug 2023 15:48:47 +0000

ubuntu-drivers-common (1:0.9.7.3) mantic; urgency=medium

  [ Dirk Su ]
  * Skip modalias checking if id in force install list.
  * Add autokgstest for force install nvidia.

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Add get_userspace_lrm_meta() to get the -lrm meta
      when available.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 23 Aug 2023 16:30:09 +0200

ubuntu-drivers-common (1:0.9.7.2) mantic; urgency=medium

  [ Olivier Gayot ]
  * ubuntu-drivers:
    - Fix --no-oem option stored in wrong config variable (LP: #1966413).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 26 May 2023 14:17:38 +0000
